from typing import cast
from unittest import TestCase

from fred_types import StateFlag


class StateFlagTest(TestCase):
    def test_init(self):
        self.assertEqual(StateFlag("outzone"), StateFlag.OUTZONE)

    def test_attributes(self):
        self.assertEqual(cast(StateFlag, StateFlag.OUTZONE).value, "outzone")
        self.assertEqual(
            cast(StateFlag, StateFlag.OUTZONE).label, "The domain isn't generated in the zone"
        )
